> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Put v1bank transactions



## OpenAPI

````yaml /api-reference/openapi.json put /v1/bank-transactions/{id}
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/bank-transactions/{id}:
    put:
      tags:
        - BankTransactions
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/DTOBankTransactionUpdateRequest'
          text/json:
            schema:
              $ref: '#/components/schemas/DTOBankTransactionUpdateRequest'
          application/*+json:
            schema:
              $ref: '#/components/schemas/DTOBankTransactionUpdateRequest'
      responses:
        '200':
          description: OK
components:
  schemas:
    DTOBankTransactionUpdateRequest:
      type: object
      properties:
        amount:
          type: number
          format: double
        currencyCode:
          type: string
          nullable: true
        categories:
          type: string
          nullable: true
        categoryId:
          type: string
          nullable: true
        date:
          type: string
          format: date-time
        authorizedDate:
          type: string
          format: date-time
        name:
          type: string
          nullable: true
        paymentChannel:
          type: string
          nullable: true
        pending:
          type: boolean
        accountOwner:
          type: string
          nullable: true
        storeNumber:
          type: string
          nullable: true
        plaidId:
          type: string
          nullable: true
      additionalProperties: false

````